﻿/* Global Styles */

/* ------------------------------- */

body {
    /*padding-top: 100px;*/
    background-color: #f8f8f8;
}

@media(min-width:768px) {
    body {
        /*padding-top: 50px;*/
    }
}

/* Wrappers */

/* ------------------------------- */

#wrapper {
    width: 100%;
}

#page-wrapper {
    padding: 0 15px;
    min-height: 568px;
    height: auto;
    background-color: #fff;
}

@media(min-width:768px) {
    #page-wrapper {
        position: inherit;
        margin: 0 0 0 250px;
        padding: 30px;
        min-height: 768px;
        border-left: 1px solid #e7e7e7;
        height: auto;
    }
}

/* Navigation */

/* ------------------------------- */

/* Top Right Navigation Dropdown Styles */

.navbar-top-links li {
    display: inline-block;
}

.navbar-top-links li:last-child {
    margin-right: 15px;
}

.navbar-top-links li a {
    padding: 15px;
    min-height: 50px;
}

.navbar-top-links .dropdown-menu li {
    display: block;
}

.navbar-top-links .dropdown-menu li:last-child {
    margin-right: 0;
}

.navbar-top-links .dropdown-menu li a {
    padding: 3px 20px;
    min-height: 0;
}

.navbar-top-links .dropdown-menu li a div {
    white-space: normal;
}

.navbar-top-links .dropdown-messages,
.navbar-top-links .dropdown-tasks,
.navbar-top-links .dropdown-alerts {
    width: 310px;
    min-width: 0;
}

.navbar-top-links .dropdown-messages {
    margin-left: 5px;
}

.navbar-top-links .dropdown-tasks {
    margin-left: -59px;
}

.navbar-top-links .dropdown-alerts {
    margin-left: -123px;
}

.navbar-top-links .dropdown-user {
    right: 0;
    left: auto;
}

/* Sidebar Menu Styles */

.navbar-static-side ul li {
    border-bottom: 1px solid #e7e7e7;
}
li.selected {
    background-color: #DDD;
    font-weight: bold;
}
.sidebar-search {
    padding: 15px;
}

.arrow {
    float: right;
}

.fa.arrow:before {
    content: "\f104";
}

.active > a > .fa.arrow:before {
    content: "\f107";
}

.nav-second-level li,
.nav-third-level li {
    border-bottom: none !important;
}

.nav-second-level li a {
    padding-left: 37px;
}

.nav-third-level li a {
    padding-left: 52px;
}

@media(min-width:768px) {
    .navbar-static-side {
        z-index: 1;
        position: absolute;
        width: 250px;
        margin-top: 51px;
    }

    .navbar-top-links .dropdown-messages,
    .navbar-top-links .dropdown-tasks,
    .navbar-top-links .dropdown-alerts {
        margin-left: auto;
    }
}

@media(max-height:600px) and (max-width:767px) {
    .sidebar-collapse {
        max-height: 300px;
        overflow-y: scroll;
    }
}

@media(max-height:400px) and (max-width:767px) {
    .sidebar-collapse {
        max-height: 200px;
        overflow-y: scroll;
    }
}

/* Buttons */

/* ------------------------------- */

.btn-outline {
    color: inherit;
    background-color: transparent;
    transition: all .5s;
}

.btn-primary.btn-outline {
    color: #428bca;
}

.btn-success.btn-outline {
    color: #5cb85c;
}

.btn-info.btn-outline {
    color: #5bc0de;
}

.btn-warning.btn-outline {
    color: #f0ad4e;
}

.btn-danger.btn-outline {
    color: #d9534f;
}

.btn-primary.btn-outline:hover,
.btn-success.btn-outline:hover,
.btn-info.btn-outline:hover,
.btn-warning.btn-outline:hover,
.btn-danger.btn-outline:hover {
    color: #fff;
}

/* Pages */

/* ------------------------------- */

/* Dashboard Chat */

.panel .slidedown .glyphicon,
.chat .glyphicon {
    margin-right: 5px;
}

.project-panel .panel-body {
    height: 235px;
    overflow-y: auto;
}
.project-panel .panel-body .description
{
    height:120px;
    overflow:auto;
}
/* Login Page */

.login-panel {
    margin-top: 100px;
}

/* Flot Chart Containers */

.flot-chart {
    display: block;
    height: 400px;
}

.flot-chart-content {
    width: 100%;
    height: 100%;
}

/* DataTables Overrides */

table.dataTable thead .sorting,
table.dataTable thead .sorting_asc,
table.dataTable thead .sorting_desc,
table.dataTable thead .sorting_asc_disabled,
table.dataTable thead .sorting_desc_disabled {
    background: transparent;
}

table.dataTable thead .sorting_asc:after {
    content: "\f0de";
    float: right;
    font-family: fontawesome;
}

table.dataTable thead .sorting_desc:after {
    content: "\f0dd";
    float: right;
    font-family: fontawesome;
}

table.dataTable thead .sorting:after {
    content: "\f0dc";
    float: right;
    font-family: fontawesome;
    color: rgba(50,50,50,.5);
}

/* Circle Buttons */

.btn-circle {
    width: 30px;
    height: 30px;
    padding: 6px 0;
    border-radius: 15px;
    text-align: center;
    font-size: 12px;
    line-height: 1.428571429;
}

.btn-circle.btn-lg {
    width: 50px;
    height: 50px;
    padding: 10px 16px;
    border-radius: 25px;
    font-size: 18px;
    line-height: 1.33;
}

.btn-circle.btn-xl {
    width: 70px;
    height: 70px;
    padding: 10px 16px;
    border-radius: 35px;
    font-size: 24px;
    line-height: 1.33;
}

.show-grid [class^="col-"] {
    padding-top: 10px;
    padding-bottom: 10px;
    border: 1px solid #ddd;
    background-color: #eee !important;
}

.show-grid {
    margin: 15px 0;
}

/* custom */
.column_No {
    text-align: center;
    width:25px;
}
.column_center{
    text-align: center;
    vertical-align: middle;
}
.column_left{
    text-align: left;
    vertical-align: middle;
}
.column_right{
    text-align: right;
    vertical-align: middle;
}
/*table.table thead tr th:first-child
{
    text-align: center;
    width:25px;
}
table.table tbody tr td:first-child
{
    text-align: center;
}
table.table thead tr th
{
    text-align: center;
}
table.table tbody tr td
{
    text-align: center;
}*/

.text-in-form {
    display: block;
    width: 100%;
    height: 34px;
    padding: 6px 12px;
    font-size: 14px;
    line-height: 1.42857;
    background-color: #FFF;
    background-image: none;
}

.table tr.no-border-bottom {
    border-bottom: 0px;
}

.table tr.show-border-bottom{
    border-bottom: 4px solid #ddd;
}
.table-report th
{
    font-weight: bold;
}
.table-report th, .table-report td{
    text-align: center;
}
@media print
{    
    .no-print, .no-print *
    {
        display: none !important;
    }
    .print-layout
    {
        margin: 0px !important;
        padding:0px;
    }
}

.text-bold {
    font-weight: bold;
}
.text-mute {
    font-weight: normal;
    color:#ddd;
}

.fht-tbody
{
    background-color: #f9f9f9;
}
.fht-tbody tr
{
    background-color: #fff;
}
.table-report
{
    width:100% !important;
}

.form-control {
    margin-bottom: 5px;
}
.label-inline {
    padding-right: 0px;
}

.img-circle-default {
    border-radius: 50%;
    border: 2px;
    border-style: solid;
    border-color: #428bca;
}
.img-circle-danger {
    border-radius: 50%;
    border: 2px;
    border-style: solid;
    border-color: #d9534f;
}
.txt-danger {
    color: red;
}
